### Virtual Method

# Ide RuntimeProvider provides

#### Declaration

    gboolean
    provides (
      IdeRuntimeProvider* self,
      const gchar* runtime_id
    )

#### Description

No description available.

#### Parameters

`runtime_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| No description available.